CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

ImageFrameHighlight Property (ActiveX)

2023-1-3 14:37| 发布者: admin| 查看: 402| 评论: 0|来自: AutoCAD

摘要: 控制选择期间光栅图像的显示。

控制选择期间光栅图像的显示。

支持的平台:仅窗口

签名

工 务 局:

object.ImageFrameHighlight
对象

类型:首选项显示

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:选择图像时显示光栅图像框。
  • False:选择图像时显示光栅图像内容。

言论

此属性的初始值为。True

注意:此属性的此值存储在 IMAGEHLT 系统变量中。

例子

工 务 局:

Sub Example_ImageFrameHighlight()
    ' This example reads and modifies the preference value that controls
    ' the display of raster images during selection. When finished, this example
    ' resets the preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesDisplay
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the display preferences object
    Set ACADPref = ThisDrawing.Application.preferences.DISPLAY
    
    ' Read and display the original value
    originalValue = ACADPref.ImageFrameHighlight
    MsgBox "The ImageFrameHighlight preference is set to: " & originalValue

    ' Modify the ImageFrameHighlight preference by toggling the value
    ACADPref.ImageFrameHighlight = Not (originalValue)
    newValue = ACADPref.ImageFrameHighlight
    MsgBox "The ImageFrameHighlight preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.ImageFrameHighlight = originalValue
    MsgBox "The ImageFrameHighlight preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ImageFrameHighlight()
    ;; This example reads and modifies the preference value that controls
    ;; the display of raster images during selection. When finished, this example
    ;; resets the preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-ImageFrameHighlight (vla-get-Display preferences)))
    (alert (strcat "The ImageFrameHighlight preference is set to: " (if (= originalValue :vlax-true) "True"  "False")))

    ;; Modify the ImageFrameHighlight preference by toggling the value
    (vla-put-ImageFrameHighlight (vla-get-Display preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-ImageFrameHighlight (vla-get-Display preferences)))
    (alert (strcat "The ImageFrameHighlight preference has been set to: " (if (= newValue :vlax-true) "True"  "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-ImageFrameHighlight (vla-get-Display preferences) originalValue)
    (alert (strcat "The ImageFrameHighlight preference was reset back to: " (if (= originalValue :vlax-true) "True"  "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 20:06

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部